<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

    <modelVersion>4.0.0</modelVersion>

    <groupId>se.aktieboken</groupId>
    <version>1.7.0-SNAPSHOT</version>
    <artifactId>aktieboken-web</artifactId>
    <name>${project.artifactId}</name>

    <description>Aktiebok frontend Web</description>
    
    <build>
	    <plugins>
	        <plugin>
			    <artifactId>maven-clean-plugin</artifactId>
			    <configuration>
			        <filesets>
					    <fileset>
					        <directory>node_modules</directory>
					    </fileset>
					    <fileset>
					        <directory>npm</directory>
					    </fileset>
					    <fileset>
					        <directory>app/assets</directory>
					        <includes>
					        	<include>bower_components</include>
					        	<include>css/style.*</include>
					        </includes>
					        <followSymlinks>true</followSymlinks>
					    </fileset>
					    <fileset>
					        <directory>build</directory>
					    </fileset>
					    <fileset>
					    	<directory>codedeploy/target</directory>
					    </fileset>
					    <fileset>
					    	<directory>app</directory>
					    	<includes>
					    		<include>*.min.js</include>
					    	</includes>
					    </fileset>
					</filesets>
			    </configuration>
			</plugin>
	        <plugin>
			    <groupId>com.github.eirslett</groupId>
			    <artifactId>frontend-maven-plugin</artifactId>
			    <executions>
			        <execution>
					    <id>Build Resources</id>
					    <goals>
					        <goal>install-node-and-yarn</goal>
							<goal>yarn</goal>
					    </goals>
					    <phase>generate-resources</phase>
					</execution>
					<execution>
					    <id>Grunt build</id>
					    <goals>
					        <goal>grunt</goal>
					    </goals>
					    <configuration>
					        <arguments>build</arguments>
					    </configuration>
					</execution>
			    </executions>
			    <configuration>
			        <installDirectory>npm</installDirectory>
			    </configuration>
			</plugin>
			<plugin>
			    <artifactId>maven-assembly-plugin</artifactId>
			    <configuration>
			        <descriptors>
					    <descriptor>assemble.xml</descriptor>
					</descriptors>
					<tarLongFileMode>posix</tarLongFileMode>
			    </configuration>
			    <executions>
			        <execution>
					    <id>make assembly</id>
					    <phase>package</phase>
					    <goals>
					        <goal>single</goal>
					    </goals>
					</execution>
			    </executions>
			</plugin>
        </plugins>
        <pluginManagement>
		    <plugins>
		        <plugin>
				    <artifactId>maven-clean-plugin</artifactId>
				    <version>3.0.0</version>
				</plugin>
				<plugin>
				    <artifactId>maven-assembly-plugin</artifactId>
				    <version>2.6</version>
				</plugin>
				<plugin>
				    <artifactId>maven-jar-plugin</artifactId>
				    <version>3.0.2</version>
				</plugin>
				<plugin>
				    <groupId>com.github.eirslett</groupId>
				    <artifactId>frontend-maven-plugin</artifactId>
				    <version>1.10.1</version>
				    <configuration>
				        <nodeVersion>v10.20.1</nodeVersion>
						<yarnVersion>v1.3.2</yarnVersion>
				    </configuration>
				</plugin>
		    </plugins>
        </pluginManagement>
    </build>
</project>
